Bug 618136 - New tasks not shown in clock applet
New tasks not shown in clock applet
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-26 04:56 EDT by Arthur Buliva
Modified: 2011-02-28 23:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-28 23:44:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arthur Buliva 2010-07-26 04:56:29 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a task in evolution
2. Try accessing the tasks list by clicking on the clock on the panel in gnome
3.
  
Actual results:

Your tasks will not be available until evolution is restarted

Expected results:

Tasks should be displayed


Additional info:

I got this trace from installing debug info:


[arthur@kangaroo ~]$ gdb evolution
GNU gdb (GDB) Fedora (7.1-30.fc13)
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/evolution...Reading symbols from /usr/lib/debug/usr/bin/evolution.debug...done.
done.
(gdb) run
Starting program: /usr/bin/evolution 
[Thread debugging using libthread_db enabled]
(evolution:5036): e-data-server-DEBUG: Loading categories from "/home/arthur/.evolution/categories.xml"
(evolution:5036): e-data-server-DEBUG: Loaded 29 categories
[New Thread 0xb2391b70 (LWP 5039)]
[New Thread 0xb17ffb70 (LWP 5040)]
[New Thread 0xb0bffb70 (LWP 5041)]
[Thread 0xb0bffb70 (LWP 5041) exited]
[New Thread 0xb0bffb70 (LWP 5042)]
[New Thread 0xaffffb70 (LWP 5043)]
[New Thread 0xaf5feb70 (LWP 5044)]
[New Thread 0xaebfdb70 (LWP 5045)]
[Thread 0xaffffb70 (LWP 5043) exited]
[Thread 0xaf5feb70 (LWP 5044) exited]
[Thread 0xaebfdb70 (LWP 5045) exited]
[Thread 0xb0bffb70 (LWP 5042) exited]

(evolution:5036): libecal-WARNING **: e-cal.c:404: e-d-s proxy died
[New Thread 0xb0bffb70 (LWP 5070)]
[New Thread 0xaebfdb70 (LWP 5071)]
[New Thread 0xaf5feb70 (LWP 5072)]
[New Thread 0xaffffb70 (LWP 5073)]
[New Thread 0xae1fcb70 (LWP 5074)]
[New Thread 0xad7fbb70 (LWP 5075)]
[New Thread 0xacdfab70 (LWP 5076)]
[Thread 0xaffffb70 (LWP 5073) exited]
[Thread 0xad7fbb70 (LWP 5075) exited]
[Thread 0xacdfab70 (LWP 5076) exited]
[Thread 0xaebfdb70 (LWP 5071) exited]
[New Thread 0xacdfab70 (LWP 5077)]
[Thread 0xaf5feb70 (LWP 5072) exited]
[Thread 0xacdfab70 (LWP 5077) exited]
[New Thread 0xacdfab70 (LWP 5078)]
[Thread 0xacdfab70 (LWP 5078) exited]
[New Thread 0xacdfab70 (LWP 5079)]
[Thread 0xacdfab70 (LWP 5079) exited]
[New Thread 0xacdfab70 (LWP 5080)]
[Thread 0xacdfab70 (LWP 5080) exited]
[Thread 0xae1fcb70 (LWP 5074) exited]
[Thread 0xb0bffb70 (LWP 5070) exited]
[Thread 0xb17ffb70 (LWP 5040) exited]
[Thread 0xb2391b70 (LWP 5039) exited]

Program exited normally.
Missing separate debuginfos, use: debuginfo-install libattr-2.4.44-3.fc13.i686 libtalloc-2.0.1-1.fc13.i686 nss-mdns-0.10-8.fc12.i686 samba-winbind-clients-3.5.4-62.fc13.i686
(gdb)
Comment 1 Milan Crha 2010-10-14 02:55:48 EDT
Thanks for a bug report. This is the cause of the trouble:
> (evolution:5036): libecal-WARNING **: e-cal.c:404: e-d-s proxy died

which means that e-calendar-factory crashed for some reason. It would be good to run it from a terminal under gdb and get the backtrace from there, like this:
   $ gdb /usr/libexec/e-calendar-factory --ex r --ex "t a a bt"
Before that make sure there is not running any other factory, because there can be running only one in the system. Also make sure you've installed debug info packages for evolution and evolution-data-server.

When you've running factory then run evolution from another console and try to reproduce the issue. Thanks in advance.
Comment 2 Matthew Barnes 2011-02-28 23:44:23 EST
Closing due to lack of response from OP.

Note You need to log in before you can comment on or make changes to this bug.